<?php

namespace MDV\ProfileBackground;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
    {
        $this->schemaManager()->alterTable('xf_user_profile', function(Alter $table)
        {
            $table->addColumn('mdv_background_date', 'int')->setDefault(0)->after('banner_position_y');
        });
    }

	public function uninstallStep1()
	{
		$this->schemaManager()->alterTable('xf_user_profile', function (Alter $table)
		{
			$table->dropColumns('mdv_background_date');
		});
	}
}