<?php

namespace MDV\ProfileBackground\XF\Entity;

use XF\Mvc\Entity\Structure;

class UserProfile extends XFCP_UserProfile
{
    public function getAbstractedBackgroundPath($size)
	{
		$userId = $this->user_id;

		return sprintf('data://profile_backgrounds/%s/%d/%d.jpg',
			$size,
			floor($userId / 1000),
			$userId
		);
	}

    public function getBackgroundUrl($sizeCode, $canonical = false)
	{
		$app = $this->app();

		$sizeMap = $app->container('mdv_profileBackgroundSizeMap');
		if (!isset($sizeMap[$sizeCode]))
		{
			// Always fallback to 'l' by default in the event of an unknown size (most common)
			$sizeCode = 'l';
		}

		if ($this->mdv_background_date)
		{
			$group = floor($this->user_id / 1000);
			return $app->applyExternalDataUrl(
				"profile_backgrounds/{$sizeCode}/{$group}/{$this->user_id}.jpg?{$this->mdv_background_date}",
				$canonical
			);
		}
		else
		{
			return null;
		}
	}
    
	public static function getStructure(Structure $structure)
	{
		$structure = parent::getStructure($structure);
		$structure->columns['mdv_background_date'] = ['type' => self::UINT, 'default' => 0];
		return $structure;
	}
}