<?php

namespace MDV\ProfileBackground\XF\Pub\Controller;

use XF;
use MDV\ProfileBackground\Service\ProfileBackground\ProfileBackground;

class Account extends XFCP_Account
{
    public function actionBackground()
    {
        $visitor = XF::visitor();

        if (!$visitor->hasPermission('general', 'mdv_setProfileBackground'))
        {
            return $this->noPermission();
        }

        if ($this->isPost())
        {
            /**
            * @var ProfileBackground $backgroundService
            */
            $backgroundService = $this->service('MDV\ProfileBackground:ProfileBackground\ProfileBackground', $visitor);
            
            if ($this->filter('delete_background', 'bool'))
			{
				$backgroundService->deleteBackground();
			}
            else
            {
                $upload = $this->request->getFile('upload', false, false);

                if ($upload)
				{
					if (!$backgroundService->setImageFromUpload($upload))
					{
						return $this->error($backgroundService->getError());
					}

					if (!$backgroundService->updateBackground())
					{
						return $this->error(XF::phrase('mdv_profile_background_could_not_be_processed'));
					}
				}
            }

            return $this->redirect($this->buildLink('account/background'));
        }
        {
			$view = $this->view('MDV\ProfileBackground:Account\Background', 'account_background');
			
            return $this->addAccountWrapperParams($view, 'account_background');
        }
    }
}