<?php

namespace MDV\ProfileBackground\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Member extends XFCP_Member
{
    public function actionDeleteBackground(ParameterBag $params)
    {
        $user = $this->assertViewableUser($params->user_id, [], true);

        if (!\XF::visitor()->hasPermission('general', 'mdv_delete_background'))
        {
            return $this->noPermission();
        }

        $this->assertCanonicalUrl($this->buildLink('members/delete-background', $user));

        if ($this->isPost())
        {
            /* @var \MDV\ProfileBackground\Service\ProfileBackground\ProfileBackground $backgroundService */
            $backgroundService = $this->service('MDV\ProfileBackground:ProfileBackground\ProfileBackground', $user);

            $backgroundService->deleteBackground();

            /** @var \XF\Repository\UserAlert $alertRepo */
            $alertRepo = $this->repository('XF:UserAlert');
            $alertRepo->alert($user, \XF::visitor()->user_id, \XF::visitor()->username, 'user', $user->user_id, 'mdv_delete_background');

            \XF::app()->logger()->logModeratorAction('user', $user, 'mdv_bg_deleted');

            return $this->redirect($this->buildLink('members', $user));
        }

        $viewParams = [
            'user' => $user
        ];

        return $this->view('MDV\ProfileBackground', 'mdv_profile_backgrounds_delete', $viewParams);
    }
}